Skip to main content
PUT
/
v1
/
users
/
me
/
user_device_permissions
Update UserDevicePermissions
curl --request PUT \
  --url https://api.tread-horizon.com/v1/users/me/user_device_permissions \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "device_id": "<string>",
  "device_permissions": [
    {
      "user_device_permission": "location_while_using",
      "user_device_permission_state": "denied"
    }
  ]
}
'
{
  "data": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.tread.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Accept-Language
string
default:en

The Accept-Language request HTTP header indicates the natural language and locale that the client prefers.

Example:

"en"

Body

application/json

This model will be used by the app to update array of user device permissions

device_id
string
required
device_permissions
UserDevicePermissionCombined · object[]
required

Response

Accepted

data
string